Section ID:
DOC-API-MODEL-schema-pbibjr8tih#overview
SessionSummary
Aggregated trace, usage, and score information for an evaluation session.
Meaning and usage
Section ID: DOC-API-MODEL-schema-pbibjr8tih#meaning
See the definition above.
Usage profiles
Section ID: DOC-API-MODEL-schema-pbibjr8tih#fields
| Usage | Fields and validation |
|---|---|
| In responses | View fields |
In responses
Section ID: DOC-API-MODEL-schema-pbibjr8tih#response
API JSON uses JSON field names (camelCase).
| Field | Type | Presence | Meaning |
|---|---|---|---|
Section ID: DOC-API-MODEL-schema-pbibjr8tih#field-sessionidSection ID: DOC-API-MODEL-schema-pbibjr8tih#response-field-sessionidsessionId | string | Optional | Identifier of the evaluation session grouping related traces. |
Section ID: DOC-API-MODEL-schema-pbibjr8tih#field-createdatSection ID: DOC-API-MODEL-schema-pbibjr8tih#response-field-createdatcreatedAt | string (date-time) | Optional | Time when this record was created. |
Section ID: DOC-API-MODEL-schema-pbibjr8tih#field-durationsecondsSection ID: DOC-API-MODEL-schema-pbibjr8tih#response-field-durationsecondsdurationSeconds | number (double) or string (NaN, Infinity, -Infinity) | Optional | Elapsed session duration, in seconds. |
Section ID: DOC-API-MODEL-schema-pbibjr8tih#field-environmentSection ID: DOC-API-MODEL-schema-pbibjr8tih#response-field-environmentenvironment | string | Optional | Environment label attached to the evaluation record. |
Section ID: DOC-API-MODEL-schema-pbibjr8tih#field-useridsSection ID: DOC-API-MODEL-schema-pbibjr8tih#response-field-useridsuserIds | Array of string | Optional | User identifiers recorded for this evaluation session. |
Section ID: DOC-API-MODEL-schema-pbibjr8tih#field-tracecountSection ID: DOC-API-MODEL-schema-pbibjr8tih#response-field-tracecounttraceCount | string (int64) | Optional | Number of traces represented by this session summary. Pattern: ^-?\d+$. |
Section ID: DOC-API-MODEL-schema-pbibjr8tih#field-totalcostSection ID: DOC-API-MODEL-schema-pbibjr8tih#response-field-totalcosttotalCost | number (double) or string (NaN, Infinity, -Infinity) | Optional | Total cost reported for the evaluated generation or aggregate. |
Section ID: DOC-API-MODEL-schema-pbibjr8tih#field-inputtokensSection ID: DOC-API-MODEL-schema-pbibjr8tih#response-field-inputtokensinputTokens | string (int64) | Optional | Input-token usage reported for the evaluated generation. Pattern: ^-?\d+$. |
Section ID: DOC-API-MODEL-schema-pbibjr8tih#field-outputtokensSection ID: DOC-API-MODEL-schema-pbibjr8tih#response-field-outputtokensoutputTokens | string (int64) | Optional | Output-token usage reported for the evaluated generation. Pattern: ^-?\d+$. |
Section ID: DOC-API-MODEL-schema-pbibjr8tih#field-totaltokensSection ID: DOC-API-MODEL-schema-pbibjr8tih#response-field-totaltokenstotalTokens | string (int64) | Optional | Total token usage reported for the evaluated generation or aggregate. Pattern: ^-?\d+$. |
traceTags | Array of string | Optional | Labels collected from the session’s evaluation traces. |
Section ID: DOC-API-MODEL-schema-pbibjr8tih#field-scoresSection ID: DOC-API-MODEL-schema-pbibjr8tih#response-field-scoresscores | Array of Score | Optional | Evaluation scores returned for the selected objects or query. |
Section ID: DOC-API-MODEL-schema-pbibjr8tih#field-commentcountSection ID: DOC-API-MODEL-schema-pbibjr8tih#response-field-commentcountcommentCount | string (int64) | Optional | Number of comments reported on the evaluation object. Pattern: ^-?\d+$. |
Section ID: DOC-API-MODEL-schema-pbibjr8tih#field-metadatajsonSection ID: DOC-API-MODEL-schema-pbibjr8tih#response-field-metadatajsonmetadataJson | string | Optional | Additional attributes serialized as a JSON object. |
Section ID: DOC-API-MODEL-schema-pbibjr8tih#field-bookmarkedSection ID: DOC-API-MODEL-schema-pbibjr8tih#response-field-bookmarkedbookmarked | boolean | Optional | Whether the evaluation object is bookmarked. |
Section ID: DOC-API-MODEL-schema-pbibjr8tih#field-conversationidsSection ID: DOC-API-MODEL-schema-pbibjr8tih#response-field-conversationidsconversationIds | Array of string | Optional | Conversation identifiers observed on the session’s traces; a session may span multiple conversations. |
Where used
Section ID: DOC-API-MODEL-schema-pbibjr8tih#where-used
| Reference | Relationship |
|---|---|
| Get a session | POST /api/v1/evals/get-session |
| List sessions | POST /api/v1/evals/list-sessions |
Models containing this value
| Model | Relationship |
|---|---|
| SessionDetail | Nested in model |
Download the public reference contract.
Document ID: DOC-API-MODEL-schema-pbibjr8tih